net.sourceforge.jnlp.services

## Class XJNLPRandomAccessFile

- java.lang.Object
- - net.sourceforge.jnlp.services.XJNLPRandomAccessFile

All Implemented Interfaces:
  java.io.DataInput, java.io.DataOutput, JNLPRandomAccessFile

    public class XJNLPRandomAccessFile
    extends java.lang.Object
    implements JNLPRandomAccessFile

### Constructor Summary

Constructors
Constructor and Description
`XJNLPRandomAccessFile(java.io.File file, java.lang.String mode)`

### Method Summary

Methods
`void` `close()`
`long` `getFilePointer()`
`long` `length()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`double` `readDouble()`
`float` `readFloat()`
`void` `readFully(byte[] b)`
`void` `readFully(byte[] b, int off, int len)`
`int` `readInt()`
`java.lang.String` `readLine()`
`long` `readLong()`
`short` `readShort()`
`int` `readUnsignedByte()`
`int` `readUnsignedShort()`
`java.lang.String` `readUTF()`
`void` `seek(long pos)`
`void` `setLength(long newLength)`
`int` `skipBytes(int n)`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`
`void` `writeBoolean(boolean v)`
`void` `writeByte(int v)`
`void` `writeBytes(java.lang.String s)`
`void` `writeChar(int v)`
`void` `writeChars(java.lang.String s)`
`void` `writeDouble(double v)`
`void` `writeFloat(float v)`
`void` `writeInt(int v)`
`void` `writeLong(long v)`
`void` `writeShort(int v)`
`void` `writeUTF(java.lang.String str)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XJNLPRandomAccessFile

    public XJNLPRandomAccessFile(java.io.File file,
                         java.lang.String mode)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### getFilePointer

    public long getFilePointer()
                        throws java.io.IOException

Specified by:
  `getFilePointer` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### length

    public long length()
                throws java.io.IOException

Specified by:
  `length` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Specified by:
  `read` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Specified by:
  `read` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readBoolean

    public boolean readBoolean()
                        throws java.io.IOException

Specified by:
  `readBoolean` in interface `java.io.DataInput`
Specified by:
  `readBoolean` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readByte

    public byte readByte()
                  throws java.io.IOException

Specified by:
  `readByte` in interface `java.io.DataInput`
Specified by:
  `readByte` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readChar

    public char readChar()
                  throws java.io.IOException

Specified by:
  `readChar` in interface `java.io.DataInput`
Specified by:
  `readChar` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readDouble

    public double readDouble()
                      throws java.io.IOException

Specified by:
  `readDouble` in interface `java.io.DataInput`
Specified by:
  `readDouble` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readFloat

    public float readFloat()
                    throws java.io.IOException

Specified by:
  `readFloat` in interface `java.io.DataInput`
Specified by:
  `readFloat` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readFully

    public void readFully(byte[] b)
                   throws java.io.IOException

Specified by:
  `readFully` in interface `java.io.DataInput`
Specified by:
  `readFully` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readFully

    public void readFully(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

Specified by:
  `readFully` in interface `java.io.DataInput`
Specified by:
  `readFully` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readInt

    public int readInt()
                throws java.io.IOException

Specified by:
  `readInt` in interface `java.io.DataInput`
Specified by:
  `readInt` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

Specified by:
  `readLine` in interface `java.io.DataInput`
Specified by:
  `readLine` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readLong

    public long readLong()
                  throws java.io.IOException

Specified by:
  `readLong` in interface `java.io.DataInput`
Specified by:
  `readLong` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readShort

    public short readShort()
                    throws java.io.IOException

Specified by:
  `readShort` in interface `java.io.DataInput`
Specified by:
  `readShort` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readUTF

    public java.lang.String readUTF()
                             throws java.io.IOException

Specified by:
  `readUTF` in interface `java.io.DataInput`
Specified by:
  `readUTF` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readUnsignedByte

    public int readUnsignedByte()
                         throws java.io.IOException

Specified by:
  `readUnsignedByte` in interface `java.io.DataInput`
Specified by:
  `readUnsignedByte` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### readUnsignedShort

    public int readUnsignedShort()
                          throws java.io.IOException

Specified by:
  `readUnsignedShort` in interface `java.io.DataInput`
Specified by:
  `readUnsignedShort` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### seek

    public void seek(long pos)
              throws java.io.IOException

Specified by:
  `seek` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### setLength

    public void setLength(long newLength)
                   throws java.io.IOException

Specified by:
  `setLength` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### skipBytes

    public int skipBytes(int n)
                  throws java.io.IOException

Specified by:
  `skipBytes` in interface `java.io.DataInput`
Specified by:
  `skipBytes` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### write

    public void write(int b)
               throws java.io.IOException

Specified by:
  `write` in interface `java.io.DataOutput`
Specified by:
  `write` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] b)
               throws java.io.IOException

Specified by:
  `write` in interface `java.io.DataOutput`
Specified by:
  `write` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws java.io.IOException

Specified by:
  `write` in interface `java.io.DataOutput`
Specified by:
  `write` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeBoolean

    public void writeBoolean(boolean v)
                      throws java.io.IOException

Specified by:
  `writeBoolean` in interface `java.io.DataOutput`
Specified by:
  `writeBoolean` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeByte

    public void writeByte(int v)
                   throws java.io.IOException

Specified by:
  `writeByte` in interface `java.io.DataOutput`
Specified by:
  `writeByte` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeBytes

    public void writeBytes(java.lang.String s)
                    throws java.io.IOException

Specified by:
  `writeBytes` in interface `java.io.DataOutput`
Specified by:
  `writeBytes` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeChar

    public void writeChar(int v)
                   throws java.io.IOException

Specified by:
  `writeChar` in interface `java.io.DataOutput`
Specified by:
  `writeChar` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeChars

    public void writeChars(java.lang.String s)
                    throws java.io.IOException

Specified by:
  `writeChars` in interface `java.io.DataOutput`
Specified by:
  `writeChars` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeDouble

    public void writeDouble(double v)
                     throws java.io.IOException

Specified by:
  `writeDouble` in interface `java.io.DataOutput`
Specified by:
  `writeDouble` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeFloat

    public void writeFloat(float v)
                    throws java.io.IOException

Specified by:
  `writeFloat` in interface `java.io.DataOutput`
Specified by:
  `writeFloat` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeInt

    public void writeInt(int v)
                  throws java.io.IOException

Specified by:
  `writeInt` in interface `java.io.DataOutput`
Specified by:
  `writeInt` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeLong

    public void writeLong(long v)
                   throws java.io.IOException

Specified by:
  `writeLong` in interface `java.io.DataOutput`
Specified by:
  `writeLong` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeShort

    public void writeShort(int v)
                    throws java.io.IOException

Specified by:
  `writeShort` in interface `java.io.DataOutput`
Specified by:
  `writeShort` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`

#### writeUTF

    public void writeUTF(java.lang.String str)
                  throws java.io.IOException

Specified by:
  `writeUTF` in interface `java.io.DataOutput`
Specified by:
  `writeUTF` in interface `JNLPRandomAccessFile`
Throws:
  `java.io.IOException`